Index: svn/src/lib/usbdebug_direct.c
===================================================================
--- svn.orig/src/lib/usbdebug_direct.c
+++ svn/src/lib/usbdebug_direct.c
@@ -23,7 +23,7 @@
 #include <console/console.h>
 #else
 #if CONFIG_USE_PRINTK_IN_CAR==0
-#define printk(BIOS_DEBUG, fmt, arg...)   do {} while(0)
+#define printk(DEBUG, fmt, arg...)   do {} while(0)
 #endif
 #endif
 
@@ -304,7 +304,7 @@ static int ehci_reset_port(struct ehci_r
 				delay_time += delay;
 			} while ((portsc & PORT_RESET) && (--loop > 0));
 			if (!loop) {
-				printk(BIOS_DEBUG, "ehci_reset_port forced done");
+				printk(DEBUG, "ehci_reset_port forced done");
 			}
 		}
 
@@ -342,7 +342,7 @@ static int ehci_wait_for_port(struct ehc
 
 #define DBGP_DEBUG 1
 #if DBGP_DEBUG
-# define dbgp_printk(fmt, arg...) printk(BIOS_DEBUG, fmt, arg)
+# define dbgp_printk(fmt, arg...) printk(DEBUG, fmt, arg)
 #else
 #define dbgp_printk(fmt, arg...)   do {} while(0)
 #endif
Index: svn/src/mainboard/amd/db800/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/db800/mainboard.c
+++ svn/src/mainboard/amd/db800/mainboard.c
@@ -23,8 +23,8 @@
 
 static void init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "AMD DB800 ENTER %s\n", __func__);
-	printk(BIOS_DEBUG, "AMD DB800 EXIT %s\n", __func__);
+	printk(DEBUG, "AMD DB800 ENTER %s\n", __func__);
+	printk(DEBUG, "AMD DB800 EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/amd/dbm690t/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/acpi_tables.c
+++ svn/src/mainboard/amd/dbm690t/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -140,7 +140,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -158,20 +158,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -179,19 +179,19 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, ssdt);
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *)current;
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -199,22 +199,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/amd/dbm690t/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/fadt.c
+++ svn/src/mainboard/amd/dbm690t/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/dbm690t/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/irq_tables.c
+++ svn/src/mainboard/amd/dbm690t/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/amd/dbm690t/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/mainboard.c
+++ svn/src/mainboard/amd/dbm690t/mainboard.c
@@ -61,7 +61,7 @@ static void enable_onboard_nic()
 {
 	u8 byte;
 
-	printk(BIOS_INFO, "%s.\n", __func__);
+	printk(INFO, "%s.\n", __func__);
 
 	/* set index register 0C50h to 13h (miscellaneous control) */
 	outb(0x13, 0xC50);	/* CMIndex */
@@ -100,7 +100,7 @@ static void get_ide_dma66()
 	struct device *sm_dev;
 	struct device *ide_dev;
 
-	printk(BIOS_INFO, "%s.\n", __func__);
+	printk(INFO, "%s.\n", __func__);
 	sm_dev = dev_find_slot(0, PCI_DEVFN(0x14, 0));
 
 	byte = pci_read_config8(sm_dev, 0xA9);
@@ -137,7 +137,7 @@ static void set_thermal_config()
 
 	byte = ADT7461_read_byte(0x02);	/* read status register to clear it */
 	ARA_read_byte(0x05); /* A hardware alert can only be cleared by the master sending an ARA as a read command */
-	printk(BIOS_INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
+	printk(INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
 
 	/* sb600 settings for thermal config */
 	/* set SB600 GPIO 64 to GPIO with pull-up */
@@ -190,19 +190,19 @@ void dbm690t_enable(device_t dev)
 	struct mainboard_config *mainboard =
 	    (struct mainboard_config *)dev->chip_info;
 
-	printk(BIOS_INFO, "Mainboard DBM690T Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard DBM690T Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
 
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
-	printk(BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 		    __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
-	printk(BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 		    __func__, msr2.lo, msr2.hi);
 
 	switch (msr.lo) {
@@ -224,7 +224,7 @@ void dbm690t_enable(device_t dev)
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -244,7 +244,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
 	uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
Index: svn/src/mainboard/amd/dbm690t/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/mptable.c
+++ svn/src/mainboard/amd/dbm690t/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/amd/dbm690t/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/romstage.c
+++ svn/src/mainboard/amd/dbm690t/romstage.c
@@ -129,7 +129,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_dbm690t_resource_map();
 
@@ -155,7 +155,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -163,16 +163,16 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
+		printk(DEBUG, "Changing FIDVID not supported\n");
 	}
 
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs690_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	if (needs_reset) {
 		print_info("ht reset -\n");
@@ -182,7 +182,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/amd/mahogany/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/acpi_tables.c
+++ svn/src/mainboard/amd/mahogany/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -154,7 +154,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -172,20 +172,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -205,7 +205,7 @@ unsigned long write_acpi_tables(unsigned
 		} else {
 			c = (u8) ('A' + i - 1 - 6);
 		}
-		printk(BIOS_DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]);	/* pci0 and pci1 are in dsdt */
+		printk(DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]);	/* pci0 and pci1 are in dsdt */
 		current = (current + 0x07) & -0x08;
 		ssdtx = (acpi_header_t *) current;
 		switch (sysconf.hcid[i]) {
@@ -233,19 +233,19 @@ unsigned long write_acpi_tables(unsigned
 #endif
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	current += dsdt->length;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -253,22 +253,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/amd/mahogany/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/fadt.c
+++ svn/src/mainboard/amd/mahogany/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/mahogany/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/irq_tables.c
+++ svn/src/mainboard/amd/mahogany/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/amd/mahogany/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/mainboard.c
+++ svn/src/mainboard/amd/mahogany/mainboard.c
@@ -108,7 +108,7 @@ static void mahogany_enable(device_t dev
 	/* struct mainboard_config *mainboard =
 	   (struct mainboard_config *)dev->chip_info;*/
 
-	printk(BIOS_INFO, "Mainboard MAHOGANY Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard MAHOGANY Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
@@ -116,13 +116,13 @@ static void mahogany_enable(device_t dev
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
 	printk
-	    (BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	    (INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 	     __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
 	printk
-	    (BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	    (INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 	     __func__, msr2.lo, msr2.hi);
 
 	/* refer to UMA Size Consideration in 780 BDG. */
@@ -141,7 +141,7 @@ static void mahogany_enable(device_t dev
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -160,7 +160,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
 		    uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED, uma_memory_base,
 			    uma_memory_size);
Index: svn/src/mainboard/amd/mahogany/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/mptable.c
+++ svn/src/mainboard/amd/mahogany/mptable.c
@@ -206,7 +206,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/amd/mahogany/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/romstage.c
+++ svn/src/mainboard/amd/mahogany/romstage.c
@@ -128,7 +128,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_mahogany_resource_map();
 
@@ -154,7 +154,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -162,16 +162,16 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
+		printk(DEBUG, "Changing FIDVID not supported\n");
 	}
 
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs780_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	if (needs_reset) {
 		print_info("ht reset -\n");
@@ -181,7 +181,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/amd/mahogany_fam10/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/acpi_tables.c
+++ svn/src/mainboard/amd/mahogany_fam10/acpi_tables.c
@@ -38,9 +38,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -142,7 +142,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -160,7 +160,7 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * HPET at %lx\n", current);
+	printk(DEBUG, "ACPI:    * HPET at %lx\n", current);
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
@@ -168,7 +168,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* If we want to use HPET Timers Linux wants an MADT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * MADT at %lx\n",current);
+	printk(DEBUG, "ACPI:    * MADT at %lx\n",current);
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
@@ -176,7 +176,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SRAT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * SRAT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SRAT at %lx\n", current);
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current += srat->header.length;
@@ -184,7 +184,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SLIT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:   * SLIT at %lx\n", current);
+	printk(DEBUG, "ACPI:   * SLIT at %lx\n", current);
 	slit = (acpi_slit_t *) current;
 	acpi_create_slit(slit);
 	current += slit->header.length;
@@ -192,7 +192,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SSDT */
 	current	  = ( current + 0x0f) & -0x10;
-	printk(BIOS_DEBUG, "ACPI:    * SSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SSDT at %lx\n", current);
 	ssdt = (acpi_header_t *)current;
 	current += AmlCode_ssdt.length;
 	memcpy((void *)ssdt, &AmlCode_ssdt, AmlCode_ssdt.length);
@@ -203,7 +203,7 @@ unsigned long write_acpi_tables(unsigned
 	ssdt->checksum = acpi_checksum((unsigned char *)ssdt,ssdt->length);
 	acpi_add_table(rsdp,ssdt);
 
-	printk(BIOS_DEBUG, "ACPI:    * SSDT for PState at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SSDT for PState at %lx\n", current);
 	current = acpi_add_ssdt_pstates(rsdp, current);
 
 #if CONFIG_ACPI_SSDTX_NUM >= 1
@@ -220,7 +220,7 @@ unsigned long write_acpi_tables(unsigned
 			c = (u8) ('A' + i - 1 - 6);
 		}
 		current	  = ( current + 0x07) & -0x08;
-		printk(BIOS_DEBUG, "ACPI:    * SSDT for PCI%c at %lx\n", c, current); //pci0 and pci1 are in dsdt
+		printk(DEBUG, "ACPI:    * SSDT for PCI%c at %lx\n", c, current); //pci0 and pci1 are in dsdt
 		ssdtx = (acpi_header_t *)current;
 		switch (sysconf.hcid[i]) {
 		case 1:
@@ -248,22 +248,22 @@ unsigned long write_acpi_tables(unsigned
 
 	/* DSDT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * DSDT at %lx\n", current);
 	dsdt = (acpi_header_t *)current; // it will used by fadt
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
 
 	/* FACS */ // it needs 64 bit alignment
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:	* FACS at %lx\n", current);
+	printk(DEBUG, "ACPI:	* FACS at %lx\n", current);
 	facs = (acpi_facs_t *) current; // it will be used by fadt
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* FDAT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * FADT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * FADT at %lx\n", current);
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -271,28 +271,28 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "srat\n");
+	printk(DEBUG, "srat\n");
 	dump_mem(srat, ((void *)srat) + srat->header.length);
 
-	printk(BIOS_DEBUG, "slit\n");
+	printk(DEBUG, "slit\n");
 	dump_mem(slit, ((void *)slit) + slit->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/amd/mahogany_fam10/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/fadt.c
+++ svn/src/mainboard/amd/mahogany_fam10/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/mahogany_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/irq_tables.c
+++ svn/src/mainboard/amd/mahogany_fam10/irq_tables.c
@@ -67,7 +67,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -107,7 +107,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/amd/mahogany_fam10/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/mainboard.c
+++ svn/src/mainboard/amd/mahogany_fam10/mainboard.c
@@ -108,7 +108,7 @@ static void mahogany_enable(device_t dev
 	/* struct mainboard_config *mainboard =
 	   (struct mainboard_config *)dev->chip_info; */
 
-	printk(BIOS_INFO, "Mainboard MAHOGANY Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard MAHOGANY Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
@@ -116,13 +116,13 @@ static void mahogany_enable(device_t dev
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
 	printk
-	    (BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	    (INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 	     __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
 	printk
-	    (BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	    (INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 	     __func__, msr2.lo, msr2.hi);
 
 	/* refer to UMA Size Consideration in 780 BDG. */
@@ -141,7 +141,7 @@ static void mahogany_enable(device_t dev
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -160,7 +160,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
 		    uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED, uma_memory_base,
 			    uma_memory_size);
Index: svn/src/mainboard/amd/mahogany_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/mptable.c
+++ svn/src/mainboard/amd/mahogany_fam10/mptable.c
@@ -206,7 +206,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
